Package Details: perl-safe 2.35-1

Git Clone URL: https://aur.archlinux.org/perl-safe.git (read-only)
Package Base: perl-safe
Description: Compile and execute code in restricted compartments
Upstream URL: http://search.cpan.org/dist/Safe
Licenses: GPL, PerlArtistic
Submitter: xenoterracide
Maintainer: jnbek
Last Packager: jnbek
Votes: 1
Popularity: 0.000000
First Submitted: 2010-02-12 01:24
Last Updated: 2015-06-16 21:50

Latest Comments

hollunder commented on 2011-08-18 10:58

Sorry, I didn't mean to offend you and you got me a little wrong. I'm very happy that cpan2aur exists, it makes packaging easier for me. The fact that perl uses lots of tiny modules and that the arch perl package is broken makes it annoying for me.

Thanks for the corelist hint, I'll use it to make sure my depends arrays are sane.

Anonymous comment on 2011-08-18 00:56

Just so you know, I wrote cpan2aur. Thanks for the blame. I'm not quite sure why it's cpan2aur's fault but okay.

Module::CoreList is a module that provides a list of core modules bundled with perl, throughout all versions of perl. It comes with a 'corelist' program that will tell you when a module was bundled with perl. Hrm I guess I should update perl-module-corelist...

hollunder commented on 2011-08-16 23:03

Thanks. I seem to have a hard time figuring out what's part of perl and what isn't. cpan2aur apparently generates wrong depends arrays due to the broken perl package which results in even more work than perl packaging already is.

Anonymous comment on 2011-08-10 18:03

Updated. Keep in mind this is a core module (bundled with perl) and will be removed when the provides array is fixed in perl.

hollunder commented on 2011-08-09 23:13

fails to build here: http://pastebin.com/PCrkQabZ